Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

LCCSFlashOnly swc for 10.3 player with AEC support

aponnusa
Employee
Employee

Attaching the LCCSFlashOnly swc for 10.3 player with AEC support.

Thanks

Arun

8 Replies
tracedwax
Level 3
Level 3

Thanks again Arun, looking forward to using this.

don_ASKet
Level 1
Level 1

We had same problem when we use beta version of it.

PS We tried to use AEC from first beta version, with beta swc and beta FP. All work, but sound was very noised. When we builded version for release, we use beta swc, because we don't find release version in last SDK. Swc from 11 version don't help for us to

But is it may be different beta version? I will tested in monday.

Thank you for support.

-Joachim-
Level 1
Level 1

Hi Arun,

according to this feature descrition http://www.adobe.com/products/flashplayer/features/ AEC is part of Flash Player 10.3.

I compile the following code against the playerglobal.swc you posted with Flash Bulder 4.5 and get no compiletime errors.

..but runtime errors with Flash Player 10.3.181.22 (not the incubator version!) on Mac OSX Firefox 4 & Chrome 13.

Seems to me that this feature is not implemented yet!

Was there a mistake in Adobe's communication and the feature will be included in a future version?

best, Joachim

...

var microphone:Microphone = Microphone.getEnhancedMicrophone(deviceIndex);
var enhancedOptions:MicrophoneEnhancedOptions = new MicrophoneEnhancedOptions();
enhancedOptions.mode = MicrophoneEnhancedMode.FULL_DUPLEX;

microphone.enhancedOptions = enhancedOptions;

microphone.codec = SoundCodec.SPEEX;

...

..

VerifyError: Error #1014: Class flash.media::MicrophoneEnhancedOptions could not be found.

..

aponnusa
Employee
Employee

Hi Joachim,

If you using FlashBuilder 4.5 and 4.5 SDK, you must use the flag "-swf-version=12" in your Flex compiler settings, as opposed to "-target-version=12"

This must fix your issue.

Thanks

Arun

-Joachim-
Level 1
Level 1

Hi Arun,

thanks for the quick reply! -swf-version=12 solved my problem!

Is there a newer version of the mxml compiler docu? This one doesn't contain that argument.

http://help.adobe.com/en_US/flex/using/WS2db454920e96a9e51e63e3d11c0bf69084-7a92.html

best, Joachim

mark180887
Level 1
Level 1

Firstly, thanks for posting the SWC.

I'm attempting integrate the SWC into Flash Professional CS5.5.

I've added the new LCCS SWC to the 'lib' directory and the new playerglobal.swc to the 'FP10.2' directory.

It compiles fine but at runtime I get the message:

VerifyError: Error #1014: Class flash.media::MicrophoneEnhancedOptions could not be found.

as the version I appear to be running is 10,2,153,2.

I'm assuming this means that the new 'playerglobal.swc' isn't being used by Flash Professional?

Is it possible to upgrade Flash Professional to use 10.3?

Any help would be appreciated, as I can't see what I'm doing wrong!

Thanks

-Joachim-
Level 1
Level 1

Hi Mark,

I don't know how to compile with Flash  Professional 5.5 because I don't use it but I've written a short post on  my blog how to get this done with Flash Builder or FDT.

http://jfvisuals.blogspot.com/2011/06/acoustic-echo-cancelation-working.html

Maybe this will help you.

Best

Joachim